Renew a reminder
curl --request POST \
--url https://api.ctrl-hub.com/v3/orgs/{org_id}/reminders/{reminder_id}/renew \
--header 'Content-Type: application/vnd.api+json' \
--header 'X-Session-Token: <api-key>' \
--data '
{
"data": {
"type": "reminder-renewals",
"attributes": {
"expires_at": "2023-11-07T05:31:56Z"
}
}
}
'import requests
url = "https://api.ctrl-hub.com/v3/orgs/{org_id}/reminders/{reminder_id}/renew"
payload = { "data": {
"type": "reminder-renewals",
"attributes": { "expires_at": "2023-11-07T05:31:56Z" }
} }
headers = {
"X-Session-Token": "<api-key>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Session-Token': '<api-key>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {type: 'reminder-renewals', attributes: {expires_at: '2023-11-07T05:31:56Z'}}
})
};
fetch('https://api.ctrl-hub.com/v3/orgs/{org_id}/reminders/{reminder_id}/renew', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ctrl-hub.com/v3/orgs/{org_id}/reminders/{reminder_id}/renew",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'type' => 'reminder-renewals',
'attributes' => [
'expires_at' => '2023-11-07T05:31:56Z'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/vnd.api+json",
"X-Session-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ctrl-hub.com/v3/orgs/{org_id}/reminders/{reminder_id}/renew"
payload := strings.NewReader("{\n \"data\": {\n \"type\": \"reminder-renewals\",\n \"attributes\": {\n \"expires_at\": \"2023-11-07T05:31:56Z\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Session-Token", "<api-key>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ctrl-hub.com/v3/orgs/{org_id}/reminders/{reminder_id}/renew")
.header("X-Session-Token", "<api-key>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"type\": \"reminder-renewals\",\n \"attributes\": {\n \"expires_at\": \"2023-11-07T05:31:56Z\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ctrl-hub.com/v3/orgs/{org_id}/reminders/{reminder_id}/renew")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Session-Token"] = '<api-key>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"type\": \"reminder-renewals\",\n \"attributes\": {\n \"expires_at\": \"2023-11-07T05:31:56Z\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "reminders",
"attributes": {
"title": "Public liability insurance",
"expires_at": "2023-11-07T05:31:56Z",
"renewal_period_months": 60,
"notes": "<string>",
"lead_days": [
365
],
"recipient_team_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"status": "active",
"mandatory": true,
"attachments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "insurance-certificate-2026.pdf",
"content_type": "application/pdf",
"size": 123,
"added_at": "2023-11-07T05:31:56Z"
}
],
"periods": [
{
"expires_at": "2023-11-07T05:31:56Z",
"renewed_at": "2023-11-07T05:31:56Z",
"renewed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attachments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "insurance-certificate-2026.pdf",
"content_type": "application/pdf",
"size": 123,
"added_at": "2023-11-07T05:31:56Z"
}
]
}
]
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organisations"
}
},
"category": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "reminder-categories"
}
},
"owner": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "users"
}
}
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
},
"jsonapi": {
"version": "1.0"
}
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "7b4c8f12-3e9a-4d5b-8c6f-1a2b3c4d5e6f",
"status": "404",
"title": "Resource not found",
"detail": "The requested resource could not be found or does not exist.",
"code": "NOT_FOUND.001"
}{
"id": "8e2f9a34-b5c6-4d7e-9f8a-2b3c4d5e6f7g",
"status": "409",
"title": "Conflict",
"detail": "The request conflicts with the current state of the resource.",
"code": "CONFLICT.001"
}{
"errors": [
{
"id": "d26cc34a-ceb2-45fb-aba2-c61782f9ec39",
"status": "422",
"title": "submitting organisation has no scheme share with the form's owning organisation",
"detail": "The request was understood but names something the server cannot act on.",
"code": "CH.001.054"
}
]
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Reminders
Renew a reminder
Roll a reminder forward to a new expiry date on the same record. The period it closes, with the evidence attached during it, is added to its periods, and it is active again. Its notices restart for the new date. Without a date, its renewal period is added to its current expiry, as many times as it takes to reach a date in the future, keeping the day of the month or, in a shorter month, its last day; a reminder with no renewal period needs a date. A date given must be after both the current expiry and now.
Requires reminders:manage across the organisation.
POST
/
v3
/
orgs
/
{org_id}
/
reminders
/
{reminder_id}
/
renew
Renew a reminder
curl --request POST \
--url https://api.ctrl-hub.com/v3/orgs/{org_id}/reminders/{reminder_id}/renew \
--header 'Content-Type: application/vnd.api+json' \
--header 'X-Session-Token: <api-key>' \
--data '
{
"data": {
"type": "reminder-renewals",
"attributes": {
"expires_at": "2023-11-07T05:31:56Z"
}
}
}
'import requests
url = "https://api.ctrl-hub.com/v3/orgs/{org_id}/reminders/{reminder_id}/renew"
payload = { "data": {
"type": "reminder-renewals",
"attributes": { "expires_at": "2023-11-07T05:31:56Z" }
} }
headers = {
"X-Session-Token": "<api-key>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Session-Token': '<api-key>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {type: 'reminder-renewals', attributes: {expires_at: '2023-11-07T05:31:56Z'}}
})
};
fetch('https://api.ctrl-hub.com/v3/orgs/{org_id}/reminders/{reminder_id}/renew', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ctrl-hub.com/v3/orgs/{org_id}/reminders/{reminder_id}/renew",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'type' => 'reminder-renewals',
'attributes' => [
'expires_at' => '2023-11-07T05:31:56Z'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/vnd.api+json",
"X-Session-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ctrl-hub.com/v3/orgs/{org_id}/reminders/{reminder_id}/renew"
payload := strings.NewReader("{\n \"data\": {\n \"type\": \"reminder-renewals\",\n \"attributes\": {\n \"expires_at\": \"2023-11-07T05:31:56Z\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Session-Token", "<api-key>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ctrl-hub.com/v3/orgs/{org_id}/reminders/{reminder_id}/renew")
.header("X-Session-Token", "<api-key>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"type\": \"reminder-renewals\",\n \"attributes\": {\n \"expires_at\": \"2023-11-07T05:31:56Z\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ctrl-hub.com/v3/orgs/{org_id}/reminders/{reminder_id}/renew")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Session-Token"] = '<api-key>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"type\": \"reminder-renewals\",\n \"attributes\": {\n \"expires_at\": \"2023-11-07T05:31:56Z\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "reminders",
"attributes": {
"title": "Public liability insurance",
"expires_at": "2023-11-07T05:31:56Z",
"renewal_period_months": 60,
"notes": "<string>",
"lead_days": [
365
],
"recipient_team_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"status": "active",
"mandatory": true,
"attachments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "insurance-certificate-2026.pdf",
"content_type": "application/pdf",
"size": 123,
"added_at": "2023-11-07T05:31:56Z"
}
],
"periods": [
{
"expires_at": "2023-11-07T05:31:56Z",
"renewed_at": "2023-11-07T05:31:56Z",
"renewed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attachments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "insurance-certificate-2026.pdf",
"content_type": "application/pdf",
"size": 123,
"added_at": "2023-11-07T05:31:56Z"
}
]
}
]
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organisations"
}
},
"category": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "reminder-categories"
}
},
"owner": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "users"
}
}
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
},
"jsonapi": {
"version": "1.0"
}
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "7b4c8f12-3e9a-4d5b-8c6f-1a2b3c4d5e6f",
"status": "404",
"title": "Resource not found",
"detail": "The requested resource could not be found or does not exist.",
"code": "NOT_FOUND.001"
}{
"id": "8e2f9a34-b5c6-4d7e-9f8a-2b3c4d5e6f7g",
"status": "409",
"title": "Conflict",
"detail": "The request conflicts with the current state of the resource.",
"code": "CONFLICT.001"
}{
"errors": [
{
"id": "d26cc34a-ceb2-45fb-aba2-c61782f9ec39",
"status": "422",
"title": "submitting organisation has no scheme share with the form's owning organisation",
"detail": "The request was understood but names something the server cannot act on.",
"code": "CH.001.054"
}
]
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Authorizations
SessionOAuth2Cookie
Path Parameters
Body
application/vnd.api+json
The new expiry date. Without one, the reminder's renewal period is added to its current expiry.